[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonMapper.OnInstall

Event called when the daemons are installed

## Declaration

Source position: daemonapp.pp line 317

`published property TCustomDaemonMapper.OnInstall : TNotifyEvent read FOnInstall write FOnInstall;`

## Description

OnInstall is the event called when the daemon application is executed to install the daemons (with command-line parameter '-i' or '/install'). it is called exactly once.

## See also

OnRun |  | Event called when the daemons are executed.
OnUnInstall |  | Event called when the daemons are uninstalled
OnCreate |  | Event called when the daemon mapper is created
OnDestroy |  | Event called when the daemon mapper is freed.